## freesweep 0.87

=== Makefile ===
# Generated automatically from Makefile.in by configure.
######################################################################
# $Id: Makefile.in,v 1.45 1999/08/09 05:32:24 hartmann Exp $
######################################################################

TARGET = freesweep
VERSION = 0.87

SRCS = clear.c drawing.c error.c fgui.c files.c game.c gpl.c main.c pbests.c play.c sl.c stats.c tick.c utils.c
HEADS = sweep.h defaults.h
MISC = README Makefile sweeprc install-sh configure.in Makefile.in config.guess configure config.sub sweep.h.in freesweep.6.in CHANGES
CLEANUP = a.out $(TARGET) core made $(OBJS) config.cache config.log config.status

#SYSTEM_TYPE = i386-unknown-solaris2.6

srcdir = .

prefix = /usr/local
exec_prefix = ${prefix}
#bindir = $(exec_prefix)/bin
bindir = ${exec_prefix}/bin

CC = gcc
CFLAGS = -Wall -DVERSION=\"$(VERSION)\" -I/usr/local/include -g -O2  -DDEBUG_LOG=1 -DHAVE_LIBNCURSES=1 -DHAVE_LIBM=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_FILE_H=1 -DHAVE_ERRNO_H=1 -DHAVE_SYS_TYPES_H=1 -DRETSIGTYPE=void -DHAVE_STRDUP=1 -DHAVE_MEMSET=1 -DHAVE_MEMMOVE=1 -DHAVE_FILENO=1 -DHAVE_LOCKF=1 -DHAVE_SNPRINTF=1 -DHAVE_VSNPRINTF=1 -DHAVE_GETOPT=1  
LIBS = -lm -lncurses -L/usr/local/lib 
LDFLAGS = 
OBJS = $(SRCS:.c=.o)

TARGET_DIR = $(TARGET)-$(VERSION)
FILES = $(SRCS) $(MISC) $(HEADS)

# for systems that have purify
PURE_ARGS = /s/purify/bin/purify -collector=/s/purify/bin/collect2

.SUFFIXES: .c .o
.PHONY: clean sterile lines distclean maintainer-clean mrproper
#######################################################################
%.o: %.c $(HEADS) Makefile
	@echo 'Building $<'
	@/bin/rm -f $*.o 
	$(CC) $(CFLAGS) -c $<

$(TARGET): $(OBJS) $(HEADS) $(MISC)
	@echo 'Linking'
	@/bin/rm -f $(TARGET)
	$(PURIFY) $(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) $(LIBS) -o $(TARGET)

configure: configure.in
	@echo 'Creating configure script'
	@autoconf

clean:
	@-/bin/rm -rf $(CLEANUP)

pure:
	@make clean
	@make "PURIFY=$(PURE_ARGS)"

install: $(TARGET) $(TARGET).6
	touch sweeptimes
	./install-sh -c -m 2555 -o root -g games -s $(TARGET) $(bindir)/$(TARGET)
	./install-sh -c -m 0664 -o root -g games sweeptimes /sweeptimes
	./install-sh -c -m 0644 -o root -g games sweeprc /usr/local/share/sweeprc
	./install-sh -c -m 0444 -o root -g games $(TARGET).6 ${prefix}/man/man6/$(TARGET).6

distclean:
	@make sterile

maintainer-clean:
	@make sterile

mrproper:
	@make sterile

sterile:
	-make clean
	@-/bin/rm -f *.o core made $(TARGET) a.out sweep.h configure Makefile freesweep.6 debug.log

tar: $(SRCS) $(MISC)
	(cd ../ ; ln -s sweep $(TARGET_DIR))
	(cd ../ ; /s/std/bin/tar cvfh $(TARGET_DIR).tar $(FILES:%=$(TARGET_DIR)/%))
	(cd ../ ; rm $(TARGET_DIR))

tags: $(SRCS) $(HEADS) $(MISC)
	@ctags $(SRCS) $(HEADS)

lines: $(SRCS) $(HEADS)
	@echo 'Total lines of code:'
	@wc -l $(SRCS) $(HEADS) | sort -rn
