## freesweep 0.90

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,21 @@
-# Generated automatically from Makefile.in by configure.
 ######################################################################
-# $Id: Makefile.in,v 1.47 2000/11/02 03:47:25 hartmann Exp $
+# $Id: Makefile.in,v 1.52 2002/12/24 04:23:57 hartmann Exp $
 ######################################################################
 
 TARGET = freesweep
-VERSION = 0.88
+VERSION = 0.90
 
-SRCS = clear.c drawing.c error.c fgui.c files.c game.c gpl.c main.c pbests.c play.c sl.c stats.c tick.c utils.c image.c
-HEADS = sweep.h defaults.h
-MISC = README Makefile sweeprc install-sh configure.in Makefile.in config.guess configure config.sub sweep.h.in freesweep.6.in CHANGES acconfig.h config.h.in
-CLEANUP = a.out $(TARGET) core made $(OBJS) config.cache config.log config.status config.h config.h.in
-
-#SYSTEM_TYPE = i686-pc-linux-gnu
+SRCS = clear.c drawing.c error.c fgui.c files.c game.c gpl.c main.c pbests.c\
+	play.c sl.c stats.c tick.c utils.c image.c
+HEADS = sweep.h defaults.h acconfig.h
+MISC = README Makefile sweeprc install-sh configure.in Makefile.in\
+	config.guess configure config.sub sweep.h.in freesweep.6.in CHANGES\
+	config.h.in
+CLEANUP = a.out $(TARGET) core made $(OBJS) config.cache config.log\
+	config.status
 
 srcdir = .
+
 
 prefix = /usr/local
 exec_prefix = ${prefix}
@@ -21,8 +23,8 @@
 bindir = ${exec_prefix}/bin
 
 CC = gcc
-CFLAGS = -Wall -DVERSION=\"$(VERSION)\" -I/usr/include -g -O2
-LIBS = -lm -lncurses -L/usr/lib 
+CFLAGS = -Wall -DVERSION=\"$(VERSION)\" -g -O2
+LIBS = -lm -lncurses 
 LDFLAGS = 
 OBJS = $(SRCS:.c=.o)
 
@@ -46,8 +48,8 @@
 configure: configure.in
 	autoconf
 
-config.h.in: acconfig.h
-	autoheader
+#config.h.in: acconfig.h
+#	autoheader
 
 clean:
 	@-/bin/rm -rf $(CLEANUP)
@@ -59,7 +61,7 @@
 install: $(TARGET) $(TARGET).6
 	touch sweeptimes
 	./install-sh -c -m 2555 -o root -g games -s $(TARGET) $(bindir)/$(TARGET)
-	./install-sh -c -m 0664 -o root -g games sweeptimes no/sweeptimes
+	./install-sh -c -m 0664 -o root -g games sweeptimes /sweeptimes
 	./install-sh -c -m 0644 -o root -g games sweeprc /usr/local/share/sweeprc
 	./install-sh -c -m 0444 -o root -g games $(TARGET).6 ${prefix}/man/man6/$(TARGET).6
