=== debian/changelog ===
freesweep (0.90-3) unstable; urgency=medium

  * Team upload.
  * Switch to source format 3.0 (quilt).
  * Drop freesweep.menu.
  * Use compat level 9 and require debhelper >= 9. (Closes: #817462)
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.7.
  * Use canonical Vcs-URI.
  * Add ${misc:Depends} substvar.
  * Remove quilt from Build-Depends because source format 3.0 uses quilt by
    default.
  * Switch to dh sequencer and simplify debian/rules.
  * Build with autotools_dev.
  * Switch to copyright format 1.0.
  * Add DEP-3 headers to all patches.
  * Add man-page.patch and fix spelling mistakes in freesweep.6. Thanks to
    A. Costa for the report and patch. (Closes: #659683)
  * Add freesweep.desktop and provide a new icon. (Closes: #538837, #726222)
  * Add clean file and ensure that freesweep can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Thu, 24 Mar 2016 14:27:08 +0100

freesweep (0.90-2) unstable; urgency=low

  [ Ansgar Burchardt ]
  * Add watch file
  * New patch `fsf-address': Correct FSF address in gpl.c
  * Remove article from start of short description

  [ Paul Wise ]
  * Add /var/games dir, since it is used in the postinst (Closes: #489700)

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 27 Aug 2008 23:35:19 +0200

freesweep (0.90-1) unstable; urgency=low

  * New Maintainer: Debian Games Team (Closes: #465927)
  * Add myself to Uploaders
  * Add VCS fields to debian/control
  * Use quilt for patch management
  * New upstream release (Closes: #249771)
  * Handle nostrip build option (Closes: #436862)
  * Create global high score file
  * Do not crash when using global high score (Closes: #210644)
  * Do not try to place too many mines (Closes: #249896)
  * debian/copyright:
    + Correct FSF address
    + Refer to GPL-2
  * debian/freesweep.menu: Quote strings

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 23 Feb 2008 14:03:57 +0100

freesweep (0.88-4.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #459065).
    + Remove DH_COMPAT.
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes needed).
    + Add Homepage field.
  * Add compat file.

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 24 Jan 2008 22:36:41 +0000

freesweep (0.88-4.2) unstable; urgency=low

  * Porter NMU.
  * Update config.guess/config.sub at build time (closes: #345221, #299277)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 22:25:23 +0100

freesweep (0.88-4.1) unstable; urgency=high

  * NMU
  * Urgency high due to security fixes.
  * Apply patch from Steve Kemp <sxk@debian.org> to fix buffer overflow in
    environmental variable handling which allowed local GID games attack
    (CAN-2003-0828).
  * This NMU will allow the security update for Woody to go in by the
    sheer fact of increasing the version number (closes: #242616);
    security updates can't go in if the versions in unstable and stable
    are identical (hence the 0-day NMU).
  * Remove duplicate conffile entry.

 -- Romain Francoise <rfrancoise@debian.org>  Wed,  7 Apr 2004 21:38:19 +0200

freesweep (0.88-4) unstable; urgency=low

  * debian/control: Standards-Version: 3.5.5
  * debian/copyright: cleaned up copyright
  * config.{guess,sub}: updated files to version from libtool package 
    (Closes: Bug#103374)

 -- Edward Betts <edward@debian.org>  Wed,  4 Jul 2001 11:26:34 +0200

freesweep (0.88-3) unstable; urgency=low

  * configure.in: quick hack to reduce the severity of Bug#98053.
    I will endeavor to find a more long term solution in the near future. 

 -- Edward Betts <edward@debian.org>  Mon, 21 May 2001 11:15:46 +0100

freesweep (0.88-2) unstable; urgency=low

  * debian/control: added build-depends on autoconf
  * debian/rules: make config.h.in (Closes: Bug#94550)

 -- Edward Betts <edward@debian.org>  Thu, 19 Apr 2001 17:56:57 -0600

freesweep (0.88-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.5.2
  * debian/rules: Changed to debhelper 3
  * debian/rules: Changed dh_installmanpages to dh_installman
  * debian/rules: configure --disable-debug-log (Closes: Bug#88475)
  * debian/rules: Removed dh_suidregister
  * debian/rules: Removed dh_testversion
  * debian/rules: Support DEB_BUILD_OPTIONS
  * Makefile.in: remove config.h.in from list of files to delete on clean

 -- Edward Betts <edward@debian.org>  Wed, 11 Apr 2001 14:52:46 -0600

freesweep (0.87-7) unstable; urgency=low

  * Update config.{guess,sub} to versions from the automake package.
    Should now compile better on ARM (closes: Bug#56548).

 -- Edward Betts <edward@debian.org>  Thu,  3 Feb 2000 09:26:01 +0000

freesweep (0.87-6) unstable; urgency=low

  * recompile against libncurses5.
  * debian/control: updated Standards-Version to 3.1.1
  * debian/control: added Build-Depends.
  * debian/copyright: updated to reflect change of debian maintainer.
  * debian/dirs: removed dirs created by other dh_* tools. 
  * debian/rules: rewritten.

 -- Edward Betts <edward@debian.org>  Thu,  6 Jan 2000 23:05:30 +0000

freesweep (0.87-5) unstable; urgency=low

  * debian/rules: changed to debhelper. 

 -- Edward Betts <edward@debian.org>  Sat, 13 Nov 1999 14:25:53 +0000

freesweep (0.87-4) unstable; urgency=low

  * New maintainer. 

 -- Edward Betts <edward@debian.org>  Sat, 13 Nov 1999 14:25:53 +0000

freesweep (0.87-3) unstable; urgency=low

  * sweep.h.in.orig: removed.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 22 Oct 1999 18:59:12 +0300

freesweep (0.87-2) unstable; urgency=low

  * debian/{prerm,postinst}: Implement the /usr/doc transition.
  * debian/rules: Install DEBIAN/conffiles as nonex, not script.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  7 Oct 1999 23:17:00 +0300

freesweep (0.87-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Use the new preferences and scores options to ./configure.
  * debian/rules: Install a manual page.

