=== debian/control ===
Source: freesweep
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Ansgar Burchardt <ansgar@43-1.org>
Section: games
Priority: optional
Standards-Version: 3.9.7
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libncurses5-dev
Homepage: http://www.upl.cs.wisc.edu/~hartmann/sweep/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/freesweep/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/freesweep/

Package: freesweep
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: text-based minesweeper
 Freesweep is an implementation of the popular minesweeper game, where
 one tries to find all the mines without igniting any, based on hints given
 by the computer.  Unlike most implementations of this game, Freesweep
 works in any visual text display - in Linux console, in an xterm, and in
 most text-based terminals currently in use.
