=== debian/watch ===
version=3
http://www.upl.cs.wisc.edu/~hartmann/sweep/ freesweep-(.*)\.tar\.gz
