## freesweep 1.0.1

=== debian/changelog ===
freesweep (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.1.
  * Drop use-safe-string-functions patch. Fixed upstream.
  * Install README.md
  * The CHANGES file has been removed.
  * Update debian/copyright for new release.
  * Declare compliance with Debian Policy 4.2.1.
  * Switch to compat level 11.
  * Update watch file and track new releases at github.
  * Move the package to Git and salsa.debian.org.

 -- Markus Koschany <apo@debian.org>  Mon, 03 Sep 2018 21:05:53 +0200
