=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
  Ansgar Burchardt <ansgar@43-1.org>
 Section: games
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 4.2.1
 Build-Depends:
- autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 11),
  libncurses5-dev
-Homepage: http://www.upl.cs.wisc.edu/~hartmann/sweep/
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/freesweep/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/freesweep/
+Homepage: https://github.com/rwestlund/freesweep
+Vcs-Git: https://salsa.debian.org/games-team/freesweep.git
+Vcs-Browser: https://salsa.debian.org/games-team/freesweep
 
 Package: freesweep
 Architecture: any
