=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_configure -- \
@@ -21,9 +21,6 @@
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/freesweep install
 
-override_dh_installchangelogs:
-	dh_installchangelogs CHANGES
-
 override_dh_fixperms:
 	dh_fixperms
 	chmod 2755 $(CURDIR)/debian/freesweep/usr/games/freesweep
