=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/freesweep-$1\.tar\.gz/ \
  https://github.com/rwestlund/freesweep/tags .*/v?(\d\S+)\.tar\.gz
