## freesweep 1.0.2

=== debian/changelog ===
freesweep (1.0.2-3) unstable; urgency=medium

  * Team upload.
  * Build with GCC-15 (Closes: #1096656)
  * Drop usage of "Rules-Requires-Root: binary-targets" (Closes: #1104905)
  * Bump Standards-Version to 4.7.2
  * Remove old FSF address from d/copyright

 -- Alexandre Detiste <tchet@debian.org>  Sat, 13 Sep 2025 12:36:55 +0200

freesweep (1.0.2-2) unstable; urgency=medium

  * Team upload.

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 17:49:38 +0100

freesweep (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.2
    - Fix FTBFS with ncurses 6.3. (Closes: #997154)
  * Declare compliance with Debian Policy 4.6.0.
  * Drop gcc10.patch. Merged upstream.

 -- Markus Koschany <apo@debian.org>  Fri, 31 Dec 2021 02:12:56 +0100

freesweep (1.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Fix FTBFS with GCC 10 (Closes: #957232)

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Fri, 24 Jul 2020 00:50:36 +0200
