=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
  Ansgar Burchardt <ansgar@43-1.org>
 Section: games
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Build-Depends:
- debhelper (>= 11),
- libncurses5-dev
+ debhelper-compat (= 13),
+ dh-sequence-zz-debputy-rrr,
+ libncurses-dev,
 Homepage: https://github.com/rwestlund/freesweep
 Vcs-Git: https://salsa.debian.org/games-team/freesweep.git
 Vcs-Browser: https://salsa.debian.org/games-team/freesweep
