=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,3 @@
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/freesweep install
-
-override_dh_fixperms:
-	dh_fixperms
-	chmod 2755 $(CURDIR)/debian/freesweep/usr/games/freesweep
-	chown root:games $(CURDIR)/debian/freesweep/usr/games/freesweep
